## Euro trip 2025
### Version 0.2 
#### Berlin
This document contains a foreign trip proposal for the Computer Society in the 2024/2025 AY.  
The foundation is based off of the 2021.  

## Proposal
The following points are based on the questions posed in the Foreign Trip Proposal form provided to the Computer Society.   
(<<https://cdn.ulwolves.ie/docs/resources/Wolves_on_Tour.docx>>)

### 01 - Name of the Club or Society
UL Computer Society

### 02 - Date of Trip
21-28 May 2025.  
These dates are after the spring exams.  

### 03 - Organisers
Main Organiser: 
* $PERSON1  

Trip Leaders:
* $PERSON1
* $PERSON2
* $PERSON3

### 04 - Destination & justification for choosing this location?
The International Conference on Social Media and Cloud Computing (ICSMCC-25) is being held in Berlin on the 24th and 25th of May.  
This conference is a research based conference where we expect our members to gain an increased understanding of the cutting edge of some of the topics covered in UL.  
It will also provide our members with international networking opportunities.

The city also hosts an impressive collection of technological based museums, to know where we (and technology) is going we must first know where we have been.  
These cover everything from early mechanical computers, to technology used during wartime and the cold war, right up to near modern day.

### 05 - What is the developmental reason for this trip?
The developmental reason for the trip is that the members of the Computer Society are very interested in learning more about the history of technology, computing, electronics and its application.   
The museums that we have picked showcase some fascinating exhibits on computing and technology.   
Some other museums and exhibits we plan to visit are to inspire and learn about the history of technology and computing.  
Our trip in 2019 before Covid helped to develop the society both socially and in relation to knowledge of tech from the past and how far it has come.

### 06 - How much is the overall cost?
The trip will roughly cost €13067.00-€16088.80, broken down by flights, accommodation, transport and museum tickets for 20 people.  
Depending on how much the society covers (€0-€7000) the cost for the individual will be €303.35-€804.44, see the table below for more information.  

### 07 - Is this the first time this trip is proposed?
We saw how successful our trip was in 2019 and because of being unable to go for the past few years with COVID we wanted to up the trip capacity again this year.   
From a quick gauge of interest in the society it seems like we have a lot of interest for the trip.  
This has made us decided to go from 15 to 20 spaces on the trip.  

### 08 - How will you advertise this trip?
We will be sending out an email to all members and advertising this event on our Discord and Instagram page.   
We also plan to have an information meeting and presentation.  

### 09 - How do people sign up for the trip?
There will be a sign up at our events and at the information presentation.

### 10 - Are there selection criteria?
The Computer Society Committee will ask each candidate why they intend to travel on the trip through email.   
The committee will then review these answers and select individuals to attend the trip, also taking into account the candidates participation in the society.   
The committee reserve the right to refuse trip attendance to any member provided a valid reason is given by the committee.

### 11 - What is the breakdown (Undergrad, Postgrad, Alumni, Other) of the different membership types?
At least two thirds of the available twenty spaces on the trip will be reserved for undergraduate/postgraduate UL students who are members of the society.  
The other third will be offered to other Computer Society members (e.g. alumni or external members) but higher preference will be given to undergraduate/postgraduate students.

### 12 - What is your Health and Safety Plan for the trip?
$PERSON3 is the current Health and Safety Officer.  
As part of an information meeting which will be held before we depart on the trip we will discuss safety with each member of the society that is attending the trip.   
We will also ensure that every member of the group has a European Health Insurance Card and a valid passport.  

### 13 - For certain trips, especially clubs, is there a competency level that members must achieve before signing up for the trip?
All members must attend an information meeting which will be held before we depart on the trip.

### 14 - Do you need to carry out first aid, a health and safety briefing or specialized training in order to maximise your time on the main training trip?
We will designate a committee member who is attending the trip to carry a first aid kit before we depart on the trip.   
The first aid kit will be carried by that individual at all times while we are on the trip.   
No specialised training should be required for individuals to partake in this trip.  

### 15 - What is your proposed Itinerary?
This is a total of a seven day trip after the Spring exams finish in May.

* 21th - Travel to Dublin, Fly to Berlin, Berlin Highlights Bike Tour ???
* 22th - Technik Museum
* 23th - Spy Museum
* 24th - ICSMCC-25 Day 1
* 25st - ICSMCC-25 Day 2
* 26nd - S-Bahn Museum, Computer Spiele Museum
* 27rd - Futurium
* 28th - Mall of Berlin, Fly to Dublin, Travel Home

We will be putting together a more detailed itinerary for our members and to pass on to C&S.

### 16 - Who is responsible for training on the trip?
We intend to get guided tours of the museums that we visit.

### 17 - What is the funding plan for this trip?
The Subsidy that UL Computer Society will cover will come from our budget.

### 18 - Have risk assessments been completed for this trip or do you need support?
No risk assessments have been carried out so far, support would be appreciated.

### 19 - Check your passport's expiration date
Have at least three months till expiry to be allowed out and back.

## Visas
### Germany
From Dublin to Germany, non-EU Citizens will require a Schengen visa to enter.  
Similar to earlier, EU Citizens do not require a visa to be allowed entry into Germany.  
Schengen visa applications can be submitted six months at the earliest and 15 days at the latest ahead of the trip.
To begin with applying for a Schengen visa, the applicant must first schedule an appointment with the German Embassy in Dublin by following the steps outlined on their service partner's [website][Visa_German_Embassy_Appointment_Booking_Link].
You will need your passport number for booking the appointment.

After scheduling an appointment, the applicant must then physically come to the embassy to lodge their application, with the following documents:

- Passport
- [The Application Form][Visa_German_Schengen_Visa_Application_Form]
- A passport-sized photo of yourself
- Biometric Information (Which is collected at the embassy)
- Booked plane tickets that show when you are entering and leaving Czechia
- Proof of Accomodation (Proof of hotel reservation)
- Bank statements showing you have at least 1,565 CZK(62 EUR) in your bank account
- Travel Medical Insurance
- Any other documents that might be required depending on your citizenship.  
  They can be found by searching your country in the ["Harmonized List of Supporting Documents" page][Visa_Harmonzed_List_Page]

In addition you will also need to pay a fee of 90 EUR to process your visa.  
After processing the visa it will take approximately 3-5 days, assuming no complications arise, to make a decision on if you are to be issued a visa.  
The applicant can then return to the embassy to get their passport back with the Czech visa on it.

[Visa_British_Visa_Application_Portal_Link]: https://visas-immigration.service.gov.uk/visa-type
[Visa_German_Embassy_Appointment_Booking_Link]: https://www.visametric.com/Ireland/Germany/en/p/book-an-appointment-national-visa
[Visa_German_Schengen_Visa_Application_Form]: https://videx.diplo.de/videx/visum-erfassung/videx-kurzfristiger-aufenthalt
[Visa_Harmonzed_List_Page]: https://mzv.gov.cz/jnp/en/information_for_aliens/supporting_documents_overview/harmonized_list_of_supporting_documents.html

All of this information comes from  initial research and is subject to change in the future.

## Cost breakdown
Cost breakdown is over four categories which cover the majority of the trip.


### Flights
We will have two flights, there and return.  
Some options may be better options because timing suits better.

| Item      | Cost | Proof                  | Link                  | Notes                                             |
|-----------|-----:|------------------------|-----------------------|---------------------------------------------------|
| Cheapest  |  €87 | ![proof][flight_1_img] | [link][flight_1_link] | Cheapest but times are not the best for returning |
| Best time | €139 | ![proof][flight_2_img] | [link][flight_2_link] | Times of flights maximise days abroad             |

[flight_1_img]: ./Euro_trip_2025/flight_1.png
[flight_1_link]: https://www.skyscanner.ie/transport/flights/dubl/ber/250521/250528/?adultsv2=1&cabinclass=economy&childrenv2=&inboundaltsenabled=false&outboundaltsenabled=false&preferdirects=false&rtn=1&priceSourceId=&priceTrace=202501261254*D*DUB*BER*20250521*ryan*FR|202501261506*D*BER*DUB*20250528*ryan*FR&qp_prevCurrency=EUR&qp_prevPrice=87&qp_prevProvider=ins_month

[flight_2_img]: ./Euro_trip_2025/flight_2.png
[flight_2_link]: https://www.skyscanner.ie/transport/flights/dubl/ber/250521/250528/?adultsv2=1&cabinclass=economy&childrenv2=&inboundaltsenabled=false&outboundaltsenabled=false&preferdirects=false&rtn=1&priceSourceId=&priceTrace=202501261254*D*DUB*BER*20250521*ryan*FR|202501261506*D*BER*DUB*20250528*ryan*FR&qp_prevCurrency=EUR&qp_prevPrice=87&qp_prevProvider=ins_month


### Accommodation
We are staying in Berlin.  
The most cost-effective is to book out dormitory rooms.

#### Berlin
[Search page][accommodation_0_link]


| Item                          |      Cost | Per Person | Proof                           | Link                         |
|-------------------------------|----------:|-----------:|---------------------------------|------------------------------|
| Kiez Hostel Berlin            |  €4544.82 |    €227.24 | ![proof][accommodation_1_image] | [link][accommodation_1_link] |
| Metropol Hostel Berlin        |  €5568.64 |    €278.43 | ![proof][accommodation_2_image] | [link][accommodation_2_link] |
| Industriepalast Hostel Berlin |  €4981.76 |    €249.09 | ![proof][accommodation_3_image] | [link][accommodation_3_link] |
| Pegasus Hostel                |  €5519.85 |    €275.99 | ![proof][accommodation_4_image] | [link][accommodation_4_link] |
| a&o Berlin Hauptbahnhof       | €17451.00 |    €872.55 | ![proof][accommodation_5_image] | [link][accommodation_5_link] |

[accommodation_0_link]: https://www.hostelworld.com/pwa/wds/s?q=Berlin,%20Germany&country=Berlin&city=Berlin&type=city&id=26&from=2025-05-21&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4&page=1
[accommodation_1_image]: ./Euro_trip_2025/accommodation_1.png
[accommodation_1_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Kiez-Hostel-Berlin/Berlin/89602?from=2025-05-21&to=2025-05-28&guests=20&origin=microsite&groupType=4&groupAgeRange=4
[accommodation_2_image]: ./Euro_trip_2025/accommodation_2.png
[accommodation_2_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Metropol-Hostel-Berlin/Berlin/42712?from=2025-05-21&to=2025-05-28&guests=20&origin=microsite&groupType=4&groupAgeRange=4
[accommodation_3_image]: ./Euro_trip_2025/accommodation_3.png
[accommodation_3_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Industriepalast-Hostel-Berlin/Berlin/40694?from=2025-05-21&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_4_image]: ./Euro_trip_2025/accommodation_4.png
[accommodation_4_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/Pegasus-Hostel/Berlin/702?from=2025-05-21&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4
[accommodation_5_image]: ./Euro_trip_2025/accommodation_5.png
[accommodation_5_link]: https://www.hostelworld.com/pwa/wds/hosteldetails.php/a-o-Berlin-Hauptbahnhof/Berlin/42091?from=2025-05-21&to=2025-05-28&guests=20&groupType=4&groupAgeRange=4


### Transport
Since we are staying for 8 days we will need a 7 day + 1day for transport in Berlin.

| Item                                        |    Cost | Proof                     | Link                     |
|---------------------------------------------|--------:|---------------------------|--------------------------|
| EirEagle Limerick - Dublin Airport (return) |  €42.00 | ![proof][transport_1_img] | [link][transport_1_link] |
| Berlin 7-day ticket                         |  €52.70 | ![proof][transport_2_img] | [link][transport_2_link] |
| Berlin 1-day ticket                         |  €12.30 | ![proof][transport_3_img] | [link][transport_3_link] |
| Total (per Person)                          | €107.00 |                           |                          |

[transport_1_img]: ./Euro_trip_2025/transport_1.png
[transport_1_link]: https://www.citylink.ie/timetables/712x/


[transport_2_img]: ./Euro_trip_2025/transport_2.png
[transport_2_link]: https://www.bvg.de/en/subscriptions-and-tickets/all-tickets/time-tickets/7-day-ticket

[transport_3_img]: ./Euro_trip_2025/transport_3.png
[transport_3_link]: https://www.bvg.de/en/subscriptions-and-tickets/all-tickets/time-tickets/7-day-ticket

### Locations
This is for all the locations we will visit, museums, exhibitions and tours.

Pass: https://www.smb.museum/en/plan-your-visit/museum-pass/

| Location                    |    Cost | Proof                     | Link                     |                                                    |
|-----------------------------|--------:|---------------------------|--------------------------|----------------------------------------------------|
| ICSMCC-25                   | €169.00 | [pdf][locations_1_img]    | [link][locations_1_link] |                                                    |
| Technik Museum              |   €7.00 | ![proof][locations_2_img] | [link][locations_2_link] |                                                    |
| Spy Museum                  |  €10.00 | ![proof][locations_3_img] | [link][locations_3_link] |                                                    |
| Berlin Highlights Bike Tour |  €34.00 | ![proof][locations_4_img] | [link][locations_4_link] | May need to contact them about a group of up to 20 |
| Computer Spiele Museum      |  €11.00 | ![proof][locations_6_img] | [link][locations_6_link] |                                                    |
| Futurium                    |   €0.00 |                           | [link][locations_7_link] |                                                    |
| S-Bahn Museum               |   €2.00 |                           | [link][locations_8_link] |                                                    |
| Mall of Berlin              |       - |                           | [link][locations_5_link] |                                                    |
| Total                       | €233.00 |                           |                          |                                                    |

[locations_1_img]: ./Euro_trip_2025/Conference_Flyer.pdf
[locations_1_link]: https://scienceleagues.com/events/index.php?id=3130517&source=b3JnYW5pYw==

[locations_2_img]: ./Euro_trip_2025/locations_2.png
[locations_2_link]: https://technikmuseum.berlin/en/

[locations_3_img]: ./Euro_trip_2025/locations_3.png
[locations_3_link]: http://www.deutsches-spionagemuseum.de/

[locations_4_img]: ./Euro_trip_2025/locations_4.png
[locations_4_link]: https://www.viator.com/tours/Berlin/3-Hour-Berlin-Highlights-Bike-Tour/d488-3933P25

[locations_6_img]: ./Euro_trip_2025/locations_6.png
[locations_6_link]: https://www.computerspielemuseum.de/

[locations_7_link]: https://futurium.de/en

[locations_5_link]: https://www.mallofberlin.de/en/

[locations_8_link]: https://s-bahn-museum.de/en/


### Total

| Per Person (PP) | Per Person | Total (T) |
|-----------------|-----------:|----------:|
| Flights         |    €139.85 |  €2797.00 |
| Accommodation   |    €278.43 |  €5568.60 |
| Transport       |    €107.00 |  €2140.00 |
| Locations       |    €233.00 |  €4660.00 |
| Total           |    €758.28 | €15165.60 |

Round up from ``€15165`` to ``€15250`` to give a little bit of a buffer.  
Final cost may be less than estimate.

#### Compsoc Subsidises

| Subsidy (S) |  T - S | % S |      PP |                    |
|------------:|-------:|----:|--------:|--------------------|
|          €0 | €15250 |  0% | €762.50 |                    |
|       €1000 | €14250 |  7% | €712.50 |                    |
|       €2000 | €13250 | 13% | €662.50 |                    |
|       €3000 | €12250 | 20% | €612.50 |                    |
|       €4000 | €11250 | 26% | €562.50 |                    |
|       €5000 | €10250 | 33% | €512.50 |                    |
|       €6000 |  €9250 | 39% | €462.50 |                    |
|       €7000 |  €8250 | 46% | €412.50 | Includes the fees? |
|       €7250 |  €8000 | 48% | €400.00 | Preferred          |
|       €7500 |  €7750 | 49% | €362.50 |                    |